Name: gdk-pixbuf
Version: 0.8.0
Release: 10ml
Serial: 2007072901
Summary: Image loading library used with GNOME
License: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{name}/%{name}-%{version}.tar.gz
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-root
Patch0: gdk-pixbuf-0.8.0-loaders.patch
Patch1: gdk-pixbuf-0.8.0-xpm-ncol-overflow.patch
Patch2: gdk-pixbuf-0.8.0-xpm-whc-overflow.patch
Patch3: gdk-pixbuf-0.8.0-xpm-largecol.patch

%description
The GdkPixBuf library provides a number of features:

        - Image loading facilities.
        - Rendering of a GdkPixBuf into various formats:
          drawables (windows, pixmaps), GdkRGB buffers.
        - A cache interface

%package devel
Summary:	Libraries and headers for application development with gdk-pixbuf
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Libraries, include files, etc you can use to develop gdk-pixbuf  applications.


%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .xpm-ncol-overflow
%patch2 -p1 -b .xpm-whc-overflow
%patch3 -p1 -b .xpm-largecol

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure	\
	--prefix=%{_prefix} --sysconfdir=%{_sysconfdir}	\
	--localstatedir=%{_localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT/%{_sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT/%{_localstatedir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)

%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html

%{_prefix}/lib/lib*.so.*
%{_prefix}/lib/gdk-pixbuf/loaders/lib*.so*

%files devel
%defattr (-, root, root)
%{_prefix}/include/gdk-pixbuf
%{_prefix}/bin/gdk-pixbuf-config

%{_prefix}/lib/*so
%{_prefix}/lib/*a
%{_prefix}/lib/gdk-pixbuf/loaders/lib*a
%{_prefix}/lib/*Conf.sh
%{_prefix}/share/aclocal/*
%{_prefix}/share/gnome/html/*

%changelog
* Sun Jul 29 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- 0.8.0-10ml applied a fix for CVE-2005-3186(ncol-overflow),
             CVE-2005-2975(xpm-whc-overflow), CVE-2005-2976(xpm-largecol)
- CVE-2005-0891 which is causing DoS(crash) via a crafted BMP image
  has not been affect gdk-pixbuf-0.8.0

* Fri Sep 17 2004 Yasuma Takeda <yasuma@miraclelinux.com>
- Fix some security problems (CAN-2004-0782,0783,0788)

* Wed Oct 3 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- removed epoch tag

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Specfile fixes

* Thu Jun 15 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.8.0

* Sat May  6 2000 Matt Wilson <msw@redhat.com>
- Red Hat-ified helix gdk-pixbuf RPM



